<?
if (substr($login,0,5)!='user.') $login='user.'.$login;
if (isset($game['loc'][$game['players'][$login]][$login]['info'])) {
$info=split("\|",$game['loc'][$game['players'][$login]][$login]['info']);

if ($info[0]!=$p){
$fp = fopen("data/SITE.dat","a+");
fwrite($fp, "[$gz_day/$gz_time]==>$gz_ip || ?site=connect2&login=$login&p=$p /Неправельный пароль\n");
fclose($fp);
}
if ($info[0]!=$p) msg('<div class=\'link\'>Неправильный пароль<br/><a href=\'index.php\'>Назад</a></div>',$game_title,0,'none');
//браузер игрока и его айпи
$agent=split('\|',$game['loc'][$game['players'][$login]][$login]['agent']);
$agent[0]=$_SERVER['HTTP_USER_AGENT'];
$agent[1]=$_SERVER['REMOTE_ADDR'];
$game['loc'][$game['players'][$login]][$login]['agent']=implode('|',$agent);

$tit=$game['loc'][$game['players'][$login]][$login]['title'];
$file=@file('./data/news.dat');
$file = array_reverse($file);
$newsdate=explode('||',$file[0]);
//браузер игрока и его айпи
$agent=split('\|',$game['loc'][$game['players'][$login]][$login]['agent']);
$agent[0]=$_SERVER['HTTP_USER_AGENT'];
$agent[1]=$_SERVER['REMOTE_ADDR'];
$game['loc'][$game['players'][$login]][$login]['agent']=implode('|',$agent);
$as=file_get_contents("agent/$login"); 
if ($as!=$ip) msg("Вы сменили устройства персонажа, потвердите что Вы его хозяин
<br/>
<a href=\"$PHP_SELF?site=chn&login=$login&p=$p\">Потвердить</a>
",Внимание,0,'none');

$tit=$game['loc'][$game['players'][$login]][$login]['title'];
$file=@file('./data/news.dat');
$file = array_reverse($file);
$newsdate=explode('||',$file[0]);
$fp = fopen("data/SITE.dat","a+");
fwrite($fp, "[$gz_day/$gz_time]==>$gz_ip || ?site=connect2&login=$login&p=$p /успешно вошел\n");
fclose($fp);
$f=@fopen("data/connect/$login.dat","a+");
fwrite($f, "$ip\n");
fclose($f);
$fw=@fopen("data/ip/$ip.dat","a+");
fwrite($fw, "$login / $tit\n");
fclose($fw);
msg('<div style=\'background-color:lime\'>
<a href=\''.$PHP_SELF.'?sid='.$sid.'\'>[в игру]</a><hr/></div>
<a href=\''.$PHP_SELF.'?sid='.$sid.'&new3=1\'>Новости</a>['.$newsdate[1].']
<br/>Добро пожаловать в игру, '.$tit.'!
<br/>Сохраните эту закладку для автологина!</span>
<br><a href=\''.$PHP_SELF.'?sid='.$sid.'&look=0\'>В игру&gt;&gt;&gt;</a>
<hr/><a href=\''.$PHP_SELF.'\'>В начало</a>
',''.$tit.' - Вход в игру',0,'none');
		

		}else
{
  if (substr($login,0,5)!='user.') $login='user.'.$login;
	$fileopen='save/'.$login.'.dat';
	$fileopen1='users/'.$login.'.dat';
//удаляем шмотки у старых персов
		if (file_exists($fileopen))
	{
	$play = implode('',file($fileopen));
	$play = unserialize($play);
	unset ($play['bank']);
	unset ($play['items']);
		$play['loc']='loc.0';
		$f=fopen("users/$login.dat", "w+");
        fwrite($f, serialize($play));
        fclose($f);
		unlink($fileopen);
		}
	if (file_exists($fileopen1))
	{
		$play = implode('',file($fileopen1));
		$play = unserialize($play);

    $info=split('\|',$play['info']);
	if ($info[0]!=$p){
$fp = fopen("data/SITE.dat","a+");
fwrite($fp, "[$gz_day/$gz_time]==>$gz_ip || ?site=connect2&login=$login&p=$p /Неправельный пароль\n");
fclose($fp);
}
		if ($info[0]!=$p) msg('<div class=\'link\'>Неправильный пароль<br/><a href=\'index.html\'>Назад</a></div>',$game_title,0,'none');
if ($info[0]!=$p){
$fp = fopen("data/SITE.dat","a+");
fwrite($fp, "[$gz_day/$gz_time]==>$gz_ip || ?site=connect2&login=$login&p=$p /Неправельный пароль\n");
fclose($fp);
}
$loc=$play['loc'];
require"locations.php";
if ( !isset($locations[$loc])) $loc=$play['loc'];
//{ 
//unset($loc);
//unset($play);
//$loc='loc.0';
//}
		$game['loc'][$loc][$login]=$play;
			$game['players'][$login]=$loc;
	
			if ($info[2]=='f') { addjournalall($loc,'Появилась '.$game['loc'][$loc][$login]['title'],$login);} else { addjournalall($loc,'Появился '.$game['loc'][$loc][$login]['title'],$login); }
			
if ($game['loc'][$loc][$login]['crim']) {$game['loc'][$loc][$login]['time_crim']=time()+$game['loc'][$loc][$login]['time_crim']-$game['loc'][$loc][$login]['time'];}// остаток времени сколько быть кримом
$game['loc'][$loc][$login]['time_regenerate']=time();// чтобы начать с тем же уровнем здоровья
unset($game['loc'][$loc][$login]['data']); //удаляем дату предыдущего захода
unset($game['loc'][$loc][$login]['look']);
unset($game['loc'][$loc][$login]['cast']);
unset($game['loc'][$loc][$login]['time_castle']);
$game['loc'][$loc][$login]['time']=time();
//**********************************************************


//время захода в онлайн
$data=split('\|',$game['loc'][$game['players'][$login]][$login]['data']);
$data[0]=date('d.m.Y - H.i.s');
$game['loc'][$game['players'][$login]][$login]['data']=implode('|',$data);

//СТИЛЬ игры
if (!isset($game['loc'][$game['players'][$login]][$login]['style'])) $game['loc'][$game['players'][$login]][$login]['style']=1;
//браузер игрока и его айпи
$agent=split('\|',$game['loc'][$game['players'][$login]][$login]['agent']);
$agent[0]=$_SERVER['HTTP_USER_AGENT'];
$agent[1]=$_SERVER['REMOTE_ADDR'];
$game['loc'][$game['players'][$login]][$login]['agent']=implode('|',$agent);
// основные навыки
$skills=split('\|',$game['loc'][$game['players'][$login]][$login]['skills']);
if ( $skills[0]+$skills[1]+$skills[2]>$points_limit_attr ){	// -5 пунктов
	$skills[0] = 1;
	$skills[1] = 1;
	$skills[2] = 1;
	$skills[3] = 0;	// обнулим опыт
	$skills[4] += 19;	// +19 очков опыта
}
$game['loc'][$loc][$login]['skills']=implode('|',$skills);

$as=file_get_contents("agent/$login"); 
if ($as!=$ip) msg("Вы сменили устройства персонажа, потвердите что Вы его хозяин
<br/>
<a href=\"$PHP_SELF?site=chn&login=$login&p=$p\">Потвердить</a>
",Внимание,0,'none');
$tit=$game['loc'][$game['players'][$login]][$login]['title'];
$file=@file('data/news.dat');
$file = array_reverse($file);
$newsdate=explode('||',$file[0]);
$fp = fopen("data/SITE.dat","a+");
fwrite($fp, "[$gz_day/$gz_time]==>$gz_ip || ?site=connect2&login=$login&p=$p /успешно вошел\n");
fclose($fp);
$f=@fopen("data/connect/$login.dat","a+");
fwrite($f, "$ip\n");
fclose($f);
$fw=@fopen("data/ip/$ip.dat","a+");
fwrite($fw, "$login / $tit\n");
fclose($fw);
msg('<div style=\'background-color:lime\'>
<a href=\''.$PHP_SELF.'?sid='.$sid.'\'>[в игру]</a><hr/></div>
<a href=\''.$PHP_SELF.'?sid='.$sid.'&new3=1\'>Новости</a>['.$newsdate[1].']
<br/>Добро пожаловать в игру, '.$tit.'!
<br/>Сохраните эту закладку для автологина!</span>
<br><a href=\''.$PHP_SELF.'?sid='.$sid.'&look=0\'>В игру&gt;&gt;&gt;</a>
<hr/><a href=\''.$PHP_SELF.'\'>В начало</a>
',''.$tit.' - Вход в игру',0,'none');
}
	else msg ('Такой логин не существует, вам надо зарегистрироваться</div>',$game_title,0,'none');
	
$fp = fopen("data/SITE.dat","a+");
fwrite($fp, "[$gz_day/$gz_time]==>$gz_ip || ?site=connect2&login=$login&p=$p /Логин не зарегистрирован\n");
fclose($fp);
}
?>